#
# spec file for package python-bjoern
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-bjoern
Version:        3.2.2
Release:        1.12
Summary:        A screamingly fast Python 2 + 3 WSGI server written in C
License:        BSD-2-Clause
URL:            https://github.com/jonashaag/bjoern
Source:         https://files.pythonhosted.org/packages/source/b/bjoern/bjoern-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  libev-devel
BuildRequires:  python-rpm-macros

%python_subpackages

%description
A screamingly fast Python 2 + 3 WSGI server written in C.

%prep
%setup -q -n bjoern-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
# there are no unit tests, but e. g. benchmark tests
# using ab

%files %{python_files}
%doc CHANGELOG README.rst
%license LICENSE
%{python_sitearch}/*

%changelog
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 3.2.2:
  * #228, 235 Fix libev paths (Ian Swanson, Nicolas Damgaard Larsen)
  * #234 Set ``wsgi.input_terminated`` (Nathan Hoad)
  * Update PyPI description
  * #173 Fix segfault with old interpreters (Goldstein)
  * #171 Implement FileWrapper.close()
  * Fix FileWrapper/sendfile with offset
  * #184 Fix compile flags
  * #218 Fix SERVER_PORT (Souheil Chelfouh)
* Wed Jun 24 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 3.1.0:
  * #169 Fix blocking accept() (Ionut Negru)
  * #164 Add support for statsd metrics/events (Mohammad Gufran)
  * #162 Fix Expect: 100-Continue support (Tom Brennan)
* Sun Jul  7 2019 Michael Ströder <michael@stroeder.com>
- version update to 3.0.1
  * Fix #158, #160: Correct string type for WSGI environ
* Thu May 23 2019 pgajdos@suse.com
- version update to 3.0.0
  * Fix #91: Support for SIGTERM/SIGINT handling
  * Fix #144: Proper handling of EAGAIN/EINTR (Adam Bouhenguel)
  * Fix #138: Use Latin1 encoding for unicode strings
  * Fix #139: Never use chunked responses for HTTP 204 and 304
  * Fix #133: Segmentation fault with very long HTTP headers (@szabolcsbalogh)
  * Fix #130: filewrapper must work with any read()able object
  * Fix #128: Fix support for io.BytesIO and other pseudo-files
  * Fix sendfile on BSD and OSX
  * Fix #122: WSGI environ SERVER_PORT is now a str (Simon Biewald)
  * Fix #122: WSGI environ SERVER_{PORT,HOST} are now always set (Simon Biewald)
  * Fix #125: Missing GIL locking (@szabolcsbalogh)
  * Fix Python 2 segfault
  * Fix segfault with HTTP header (晏旭瑞)
  * Fix segfault with large HTTP header
  * Fix Python 3 unicode header handling
  * Fix setup.py and `bjoern.version` attribute
  * Python 3 support (Hua Yanghao, Isaiah Peng). Note that due to the size
    of this update, version 2.0.0 may be less stable than version 1.4.3.
- deleted patches
  - reproducible.patch (upstreamed)
* Tue Mar 13 2018 bwiedemann@suse.com
- Add reproducible.patch to make build reproducible (boo#1041090)
* Mon Feb  2 2015 boris@steki.net
- update to version 1.4.2
  * CVE-2015-0219, see https://www.djangoproject.com/weblog/2015/jan/13/security/
  * Default to keep-alive for HTTP/1.1 connections
  * Unix socket support
  * Fixed 64bit compile errors
* Thu Nov 22 2012 saschpe@suse.de
- Initial version
